/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-13
 * 描述            ：修磨原值摊销表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CmCostDstGrindMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_COST_DST_GRIND", namespace=CmCostDstGrindMapper.class)
public class CmCostDstGrind extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8110947679820149957L;
	/** 
	 * 刀片分组代码
	 */ 
	@Id
	private String grp_code;
	public String getGrp_code() {
		return this.grp_code;
	}
	public void setGrp_code(String grp_code) {
		this.grp_code = grp_code;
	}

	/** 
	 * 刀片分组名称
	 */ 
	@Column
	private String grp_name;
	public String getGrp_name() {
		return this.grp_name;
	}
	public void setGrp_name(String grp_name) {
		this.grp_name = grp_name;
	}

	/** 
	 * 成本项目编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 成本项目名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 成本组织代码
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * null
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 成本期间
	 */ 
	@Id
	private String prd_num;
	public String getPrd_num() {
		return this.prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 机台名称
	 */ 
	@Column
	private String machine_name;
	public String getMachine_name() {
		return this.machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

	/** 
	 * 原始外径(mm)
	 */ 
	@Column
	private Double dia_outer_org;
	public Double getDia_outer_org() {
		return this.dia_outer_org;
	}
	public void setDia_outer_org(Double dia_outer_org) {
		this.dia_outer_org = dia_outer_org;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double dia_outer_srp;
	public Double getDia_outer_srp() {
		return this.dia_outer_srp;
	}
	public void setDia_outer_srp(Double dia_outer_srp) {
		this.dia_outer_srp = dia_outer_srp;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double dia_outer_bfr;
	public Double getDia_outer_bfr() {
		return this.dia_outer_bfr;
	}
	public void setDia_outer_bfr(Double dia_outer_bfr) {
		this.dia_outer_bfr = dia_outer_bfr;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double dia_outer_aft;
	public Double getDia_outer_aft() {
		return this.dia_outer_aft;
	}
	public void setDia_outer_aft(Double dia_outer_aft) {
		this.dia_outer_aft = dia_outer_aft;
	}

	/** 
	 * null
	 */ 
	@Column
	private Long grd_num;
	

	public Long getGrd_num() {
		return grd_num;
	}
	public void setGrd_num(Long grd_num) {
		this.grd_num = grd_num;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double grd_thick_value;
	public Double getGrd_thick_value() {
		return this.grd_thick_value;
	}
	public void setGrd_thick_value(Double grd_thick_value) {
		this.grd_thick_value = grd_thick_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double std_thick_value;
	public Double getStd_thick_value() {
		return this.std_thick_value;
	}
	public void setStd_thick_value(Double std_thick_value) {
		this.std_thick_value = std_thick_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double rate_value;
	public Double getRate_value() {
		return this.rate_value;
	}
	public void setRate_value(Double rate_value) {
		this.rate_value = rate_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double amount_value;
	public Double getAmount_value() {
		return this.amount_value;
	}
	public void setAmount_value(Double amount_value) {
		this.amount_value = amount_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double amount_all_value;
	public Double getAmount_all_value() {
		return this.amount_all_value;
	}
	public void setAmount_all_value(Double amount_all_value) {
		this.amount_all_value = amount_all_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private String msr_unit;
	public String getMsr_unit() {
		return this.msr_unit;
	}
	public void setMsr_unit(String msr_unit) {
		this.msr_unit = msr_unit;
	}

	/** 
	 * null
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * null
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * null
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String is_stock;
	public String getIs_stock() {
		return this.is_stock;
	}
	public void setIs_stock(String is_stock) {
		this.is_stock = is_stock;
	}

	/** 
	 * null
	 */ 
	@Column
	private String is_dst;
	public String getIs_dst() {
		return this.is_dst;
	}
	public void setIs_dst(String is_dst) {
		this.is_dst = is_dst;
	}

	/** 
	 * null
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	@Column
	private Long grd_times_value;
	public Long getGrd_times_value() {
		return grd_times_value;
	}
	public void setGrd_times_value(Long grd_times_value) {
		this.grd_times_value = grd_times_value;
	}
	
	
	//******************************************************************************************
	
	//上级项目代码，上级项目名称
	private String parent_item_code;
	private String parent_item_name;
	public String getParent_item_code() {
		return parent_item_code;
	}
	public void setParent_item_code(String parent_item_code) {
		this.parent_item_code = parent_item_code;
	}
	public String getParent_item_name() {
		return parent_item_name;
	}
	public void setParent_item_name(String parent_item_name) {
		this.parent_item_name = parent_item_name;
	}
	
	//项目类型
	private String item_type;	
	public String getItem_type() {
		return item_type;
	}
	public void setItem_type(String item_type) {
		this.item_type = item_type;
	}
	
	//项目等级
	private Long item_grade;
	public Long getItem_grade() {
		return item_grade;
	}
	public void setItem_grade(Long item_grade) {
		this.item_grade = item_grade;
	}
	
	
}
